#ifndef HMAPFILE_H
#define HMAPFILE_H

#include "qfile.h"
#include "qdom.h"
#include "qptrlist.h"
#include "qprogressbar.h"
#include "lowqafile.h"

#define HHISTORY_VERSION 2

class HMapFile
{
    protected:
    QDomDocument *doc;
    QDomElement rootElem, header,body;
    QDomElement ver,dir,mask;
    QDomText t,tdir,tmask;
    QFile *f;
    QPtrList<LowQAFile> *llqaf; 
    bool headerDone;
    int nFiles;
    
    public:
    HMapFile(QFile *file, QPtrList<LowQAFile> *llqaFiles);
    ~HMapFile(void);
    
    void createHeader(QString *inDir, QString *pat);
    bool createBody(void);
    
    void writeFile(void);
    bool readDocument(QString *inDir, QString *pat, QProgressBar *bar);
    bool loadFileList(QProgressBar *bar);
};

#endif
